=== style/CMakeLists.txt ===
set(qtcurve_SRCS qtcurve.cpp pixmaps.h)
add_definitions(-DQT_PLUGIN)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common)
link_directories(${KDE3_LIB_DIR})
kde3_automoc(${qtcurve_SRCS})
add_library(qtcurve SHARED ${qtcurve_SRCS})
set_target_properties(qtcurve PROPERTIES PREFIX "")
target_link_libraries(qtcurve ${QT_QTGUI_LIBRARY} kdefx)
install(TARGETS qtcurve LIBRARY DESTINATION ${KDE3_LIB_DIR}/kde3/plugins/styles)
install(FILES qtcurve.themerc DESTINATION ${KDE3PREFIX}/share/apps/kstyle/themes)
