## kde-style-qtcurve 0.69.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "62")
-set(CPACK_PACKAGE_VERSION_PATCH "8")
+set(CPACK_PACKAGE_VERSION_MINOR "69")
+set(CPACK_PACKAGE_VERSION_PATCH "1")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -68,14 +68,16 @@
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )
 
 # search packages used by KDE
-find_package(KDE4)
+if (NOT QTC_QT_ONLY)
+    find_package(KDE4 REQUIRED)
+endif (NOT QTC_QT_ONLY)
 find_package(Qt4 REQUIRED)
 
 configure_file(config.h.cmake ${CMAKE_BINARY_DIR}/config.h)
 
-if (KDE4_FOUND)
+if (NOT QTC_QT_ONLY)
+    find_package(KDE4 REQUIRED)
     include(KDE4Defaults)
-
     message("** PREFIX=${CMAKE_INSTALL_PREFIX}")
 
     add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
@@ -84,6 +86,7 @@
     add_subdirectory(config)
     add_subdirectory(themes)
     add_subdirectory(colors)
+    add_subdirectory(po)
 
     find_file(KWINGLOBALS_H kwinglobals.h ${KDE4_INCLUDES}) # kwinglobals.h is new for KDE4
 
@@ -93,13 +96,12 @@
     else (KWINGLOBALS_H)
         message("** KWin headers not found - KWin decoration will not be built")
     endif (KWINGLOBALS_H)
-else (KDE4_FOUND)
+else (NOT QTC_QT_ONLY)
     set(CMAKE_INSTALL_PREFIX ${OLD_CMAKE_INSTALL_PREFIX})
     add_definitions(${QT_DEFINITIONS})
     include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
     set(QTCURVE_STYLE_DIR ${QT_PLUGINS_DIR}/styles/)
-    message("** WARNING: KDE4 headers not found, QtCurve's config dialog will not be built")
-endif (KDE4_FOUND)
+endif (NOT QTC_QT_ONLY)
 
 add_subdirectory(style)
