=== colors/CMakeLists.txt ===
install(FILES QtCurve.colors DESTINATION ${DATA_INSTALL_DIR}/color-schemes)
