## kde-style-qtcurve 1.0.2-1ubuntu2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,10 +6,10 @@
 set(DEBIAN_PACKAGE_DESCRIPTION "QtCurve for Qt4/KDE4")
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
-set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "69")
-set(CPACK_PACKAGE_VERSION_PATCH "1")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig_p_drummond@yahoo.co.uk>")
+set(CPACK_PACKAGE_VERSION_MAJOR "1")
+set(CPACK_PACKAGE_VERSION_MINOR "0")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
@@ -105,9 +105,4 @@
 
 add_subdirectory(style)
 
-if (QTC_XBAR_SUPPORT)
-    message("\n**************************************************************\n"
-            "Information: XBar support enabled.\n"
-            "**************************************************************\n")
-endif (QTC_XBAR_SUPPORT)
