=== config/CMakeLists.txt ===
if (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp exportthemedialog.cpp)
else (QTC_STYLE_SUPPORT)
    set(kstyle_qtcurve_config_PART_SRCS qtcurveconfig.cpp)
endif (QTC_STYLE_SUPPORT)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDE_DIR} ${QT_INCLUDE_DIR})
kde4_add_ui_files(kstyle_qtcurve_config_PART_SRCS qtcurveconfigbase.ui stylepreview.ui)
kde4_add_plugin(kstyle_qtcurve_config ${kstyle_qtcurve_config_PART_SRCS})
target_link_libraries(kstyle_qtcurve_config ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY})
install(TARGETS kstyle_qtcurve_config DESTINATION ${PLUGIN_INSTALL_DIR} )
