=== kwin/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # add_subdirectory(config)
-set(kwin3_qtcurve_PART_SRCS qtcurvehandler.cpp qtcurveclient.cpp qtcurvebutton.cpp resizecorner.cpp)
+set(kwin3_qtcurve_PART_SRCS qtcurvehandler.cpp qtcurveclient.cpp qtcurvebutton.cpp qtcurvesizegrip.cpp)
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_BINARY_DIR} ${QT_INCLUDE_DIR}
                      ${QT_QTGUI_INCLUDE_DIR} ${QT_QTCORE_INCLUDE_DIR} ${CMAKE_SOURCE_DIR}/common ${CMAKE_SOURCE_DIR}/style)
 kde4_add_plugin(kwin3_qtcurve ${kwin3_qtcurve_PART_SRCS})
