=== debian/changelog ===
kde-style-qtcurve (1.0.2-1ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:22:29 +0100

kde-style-qtcurve (1.0.2-1ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * Merge with Debian unstable, remaining changes:
    - Keep replaces/conflicts on old -kde4 packages
    - Keep usr/share/locale/tr/LC_MESSAGES/qtcurve.mo installed in 
      kde-style-qtcurve
    - Don't bump pkg-kde-tools to a version we don't have. (It's not required)

  [ Harald Sitter ]
  * i

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 23:22:26 +0100

kde-style-qtcurve (1.0.2-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Update watch file.

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency.
    - Bump build-dependencies (debhelper, pkg-kde-tools, kdelibs5-dev and
      kdebase-workspace-dev).
    - Bump Standard-Version to 3.8.4 (no changes needed).
  * Update debian/copyright:
    - Update upstream author e-mail address.
    - Update copyright years.
  * Update debian/kde-style-qtcurve.install file.
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).
    - List missing files (pass --list-missing option to dh).
    - Update get-orig-source target to rename original tarball.

 -- Fathi Boudra <fabo@debian.org>  Sat, 13 Feb 2010 15:59:26 +0100

kde-style-qtcurve (0.69.2-2) unstable; urgency=low

  [ Pino Toscano ]
  * Add 02_bypass_braindead_buildsystem.diff:
    - disable "smart" kde3/kde4 prefix detection, which breaks when used on
      read-only home directories. (Closes: #541667)

 -- Fathi Boudra <fabo@debian.org>  Thu, 24 Dec 2009 14:09:20 +0100

kde-style-qtcurve (0.69.2-1ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends

  [ Jonathan Thomas ]
  * Merge with Debian unstable, remaining changes:
    - Keep replaces/conflicts on old -kde4 packages
    - Keep usr/share/locale/tr/LC_MESSAGES/qtcurve.mo installed in kde-style-qtcurve

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 10 Dec 2009 22:00:26 +0100

kde-style-qtcurve (0.69.1-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 15 Oct 2009 03:22:15 +0200

kde-style-qtcurve (0.69.0-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdebase-workspace-dev and kdelibs5-dev to 4.3.2
    - Update kde-style-qtcurve.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 09 Oct 2009 18:43:34 +0200

kde-style-qtcurve (0.68.0-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * Merge from Debian unstable, remaining changes:
    - Keep replaces/conflicts on old -kde4 packages
    - Keep build-dependency on quilt
  * New upstream release

  [ Alessandro Ghersi ]
  * Improve get-orig-source rule

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 27 Aug 2009 12:28:50 -0400

kde-style-qtcurve (0.67.5-2) unstable; urgency=low

  * Add 01_ftbfs_missing_terminating_characher_bug541667.diff
    - fix FTBFS: error: missing terminating " character.

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 Aug 2009 21:13:43 +0200

kde-style-qtcurve (0.67.5-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump build dependencies versions.
    - Suggest gtk2-engines-qtcurve instead of Recommends. (Closes: #437828)
  * Add debian/not-installed: translations are not installed yet.
  * Update debian/rules: cleanup since dh supports cmake.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 09:35:03 +0200

kde-style-qtcurve (0.67.5-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.3.0
    - Update kde-style-qtcurve.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 12 Aug 2009 23:53:08 +0200

kde-style-qtcurve (0.65.2-0ubuntu1) karmic; urgency=low

  * New upstream release
    - Bump kdelibs5-dev to 4.2.95

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 02 Jul 2009 02:57:05 +0200

kde-style-qtcurve (0.65.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 30 Jun 2009 20:42:19 +0200

kde-style-qtcurve (0.65.0-1) unstable; urgency=low

  * New upstream release.
  * Set KDE Extras team in Maintainer field and myself in Uploaders field.
    (Closes: #529442)
  * Bump compat/debhelper to 7.
  * Update debian/control:
    - Add build dependencies:
      pkg-kde-tools, kdelibs5-dev, kdebase-workspace-dev and libx11-dev.
    - Bump Standard-Version to 3.8.2 (no changes needed).
    - Add Homepage, Vcs-Browser and Vcs-Svn fields.
    - Split widget style and window decoration in their own packages.
    - Rewrite descriptions.
  * Update debian/copyright: rewrite from scratch.
  * Update debian/rules: rewrite from scratch and use dh.
  * Add watch file.

 -- Fathi Boudra <fabo@debian.org>  Thu, 25 Jun 2009 10:47:07 +0200

kde-style-qtcurve (0.65.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #391426)
    - Bump kdelibs5-dev to 4.2.90
    - Bump Standards-Version to 3.8.2
   
 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 24 Jun 2009 02:46:32 +0200

kde-style-qtcurve (0.64.2-0ubuntu1) karmic; urgency=low

  [ Jonathan Thomas ]
  * New upstream release (LP: #385707)
  * Use kde.mk from pkg-kde-tools
  * Remove unnecessary build-dep on cmake, build-dep on the earliest version
    of kdelibs5-dev to depend on cmake

  [ Harald Sitter ]
  * Bump standards version to 3.8.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 10 Jun 2009 17:01:24 -0400

kde-style-qtcurve (0.62.8-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #360469)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 13 Apr 2009 08:33:17 -0400

kde-style-qtcurve (0.62.7-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #356247)

