=== debian/control ===
Source: kde-style-qtcurve
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.13), cmake, pkg-kde-tools (>= 0.5),
 kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev (>= 4:4.3.4), libx11-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-look.org/content/show.php?content=40492
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu

Package: kde-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kwin-style-qtcurve
Suggests: gtk2-engines-qtcurve
Conflicts: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
Replaces: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
Description: Unified widget styles for KDE and GTK+
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 This package contains the QtCurve widget style for KDE 4.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: kwin-style-qtcurve
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kde-style-qtcurve
Suggests: gtk2-engines-qtcurve
Description: Unified window decoration for KDE and GTK+
 QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
 look between KDE and GTK+ applications, which is easy on the eyes and visually
 pleasing.
 .
 This package contains the QtCurve window decoration for KWin.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.

Package: qtcurve
Architecture: any
Depends: ${misc:Depends}, kde-style-qtcurve, kwin-style-qtcurve, gtk2-engines-qtcurve
Description: Unified window decoration for KDE and GTK+
 This is an empty dummy package which will drag the following packages:
  * kde-style-qtcurve
  * kwin-style-qtcurve
  * gtk2-engines-qtcurve
 in your system.
