=== debian/rules ===
#!/usr/bin/make -f

DEB_KDE_LINK_WITH_AS_NEEDED := yes

%:
	dh --parallel --list-missing --with kde $@

get-orig-source:
	uscan --verbose --force-download --no-symlink
	mv ../QtCurve-KDE4-$(UPSTREAM_VERSION).tar.bz2 ../kde-style-qtcurve_$(UPSTREAM_VERSION).orig.tar.bz2

.PHONY: override_dh_auto_test
