## kde-style-qtcurve 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "0")
+set(CPACK_PACKAGE_VERSION_MINOR "5")
 set(CPACK_PACKAGE_VERSION_PATCH "2")
 set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
@@ -105,4 +105,11 @@
 
 add_subdirectory(style)
 
-
+if (QTC_KWIN_MAX_BUTTON_HACK)
+    message("\n**************************************************************\n"
+            "Warning: You have enabled the hack to force drawing of maximise\n"
+            "         buttons for windows that can be minimised. This is a 100%\n"
+            "         hack, that may not work or compile, and may even crash\n"
+            "         kwin.\n"
+            "**************************************************************\n")
+endif (QTC_KWIN_MAX_BUTTON_HACK)
