=== debian/changelog ===
kde-style-qtcurve (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 22 Jul 2010 09:48:45 +0300

kde-style-qtcurve (1.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 Jul 2010 09:20:39 +0300

kde-style-qtcurve (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standard-Version to 3.9.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 10:24:35 +0300

kde-style-qtcurve (1.4.2-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Install the color scheme file QtCurveAgua.colors as well.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 May 2010 12:21:39 +0300

kde-style-qtcurve (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Thu, 20 May 2010 11:20:13 +0300

kde-style-qtcurve (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 18 Apr 2010 09:24:09 +0300

kde-style-qtcurve (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Tue, 13 Apr 2010 12:33:28 +0300

kde-style-qtcurve (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update installed files in kde-style-qtcurve package.

 -- Fathi Boudra <fabo@debian.org>  Tue, 23 Mar 2010 11:46:58 +0100

kde-style-qtcurve (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Fri, 26 Feb 2010 17:00:18 +0100

kde-style-qtcurve (0.69.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 11 Oct 2009 14:35:38 +0200

kde-style-qtcurve (0.68.1-1) unstable; urgency=low

  * New upstream release.
  * Cleanup debian/rules: dh supports kde.

 -- Fathi Boudra <fabo@debian.org>  Wed, 07 Oct 2009 14:22:16 +0200
