=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: kde-style-qtcurve
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.13), cmake, pkg-kde-tools (>= 0.5),
- kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev (>= 4:4.3.4), libx11-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
+ kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
+Standards-Version: 3.9.0
 Homepage: http://www.kde-look.org/content/show.php?content=40492
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kde-style-qtcurve/ubuntu
+Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kde-style-qtcurve/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kde-style-qtcurve/?op=log
 
 Package: kde-style-qtcurve
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: kwin-style-qtcurve
 Suggests: gtk2-engines-qtcurve
-Conflicts: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
-Replaces: kde4-style-qtcurve, kde4-style-qtcurve-kdeconfig
 Description: Unified widget styles for KDE and GTK+
  QtCurve is a set of widget styles for KDE and GTK+. It provides a consistent
  look between KDE and GTK+ applications, which is easy on the eyes and visually
