=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 
 DEB_KDE_LINK_WITH_AS_NEEDED := yes
+UPSTREAM_VERSION ?= $(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 %:
-	dh --parallel --list-missing --with kde $@
+	dh $@ --parallel --list-missing --with kde
 
 get-orig-source:
 	uscan --verbose --force-download --no-symlink
