## kde-style-qtcurve 1.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(QtCurve-KDE4)
-cmake_minimum_required(VERSION 2.4.0)
+cmake_minimum_required(VERSION 2.4.4)
 
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
 set(CPACK_GENERATOR "DEB;RPM;TGZ")
@@ -7,9 +7,9 @@
 set(DEBIAN_PACKAGE_SECTION "kde4")
 set(CPACK_SOURCE_GENERATOR "TBZ2")
 set(CPACK_PACKAGE_VERSION_MAJOR "1")
-set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
-set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@googlemail.com>")
+set(CPACK_PACKAGE_VERSION_MINOR "8")
+set(CPACK_PACKAGE_VERSION_PATCH "4")
+set(CPACK_PACKAGE_CONTACT "Craig Drummond <craig.p.drummond@gmail.com>")
 set(QTCURVE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}")
 set(QTCURVE_VERSION_FULL "${QTCURVE_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
 set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${QTCURVE_VERSION_FULL}")
@@ -41,9 +41,11 @@
 
 # Then set install prefix...
 if (KDE4_KDECONFIG_EXECUTABLE)
-    exec_program(${KDE4_KDECONFIG_EXECUTABLE}
-                 ARGS --prefix
-                 OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
+    if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
+        exec_program(${KDE4_KDECONFIG_EXECUTABLE}
+                     ARGS --prefix
+                     OUTPUT_VARIABLE CMAKE_INSTALL_PREFIX)
+    endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     exec_program(${KDE4_KDECONFIG_EXECUTABLE}
                     ARGS --prefix
                     OUTPUT_VARIABLE KDE4PREFIX)
@@ -78,7 +80,6 @@
 if (NOT QTC_QT_ONLY)
     find_package(KDE4 REQUIRED)
     include(KDE4Defaults)
-    message("** PREFIX=${CMAKE_INSTALL_PREFIX}")
 
     add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
     include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
@@ -105,11 +106,22 @@
 
 add_subdirectory(style)
 
+message("** PREFIX=${CMAKE_INSTALL_PREFIX}\n")
+
 if (QTC_KWIN_MAX_BUTTON_HACK)
-    message("\n**************************************************************\n"
+    message("**************************************************************\n"
             "Warning: You have enabled the hack to force drawing of maximise\n"
             "         buttons for windows that can be minimised. This is a 100%\n"
             "         hack, that may not work or compile, and may even crash\n"
             "         kwin.\n"
             "**************************************************************\n")
 endif (QTC_KWIN_MAX_BUTTON_HACK)
+
+if (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
+    message("**************************************************************\n"
+            "Warning: You have enabled support for the 'fix parentless dialogs'\n"
+            "         option. This is known to BREAK some applications. Please\n"
+            "         DO NOT report errors to application authors when you have\n"
+            "         this enabled. Please reconsider DISABLING this option.\n"
+            "**************************************************************\n")
+endif (QTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT)
