=== debian/changelog ===
kde-style-qtcurve (1.8.4-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 Jan 2011 18:59:27 +0200

kde-style-qtcurve (1.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 26 Dec 2010 13:43:57 +0200

kde-style-qtcurve (1.8.1-1) unstable; urgency=low

  * New upstream release. (Closes: #605747)

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Dec 2010 14:44:06 +0200

kde-style-qtcurve (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 06 Oct 2010 15:03:39 +0300
