=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kde-style-qtcurve/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kde-style-qtcurve/?op=log
