=== debian/changelog ===
kde-style-qtcurve (1.8.7-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 01 May 2011 13:38:42 +0300

kde-style-qtcurve (1.8.5-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Sun, 20 Feb 2011 13:58:28 +0200
