=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: kde
 Priority: optional
 Maintainer: Boris Pek <tehnick-8@mail.ru>
-Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev (>= 4:4.3.4), kdebase-workspace-dev(>= 4:4.3.4), libx11-dev
-Standards-Version: 3.9.2
+Build-Depends: cmake,
+               debhelper (>= 7.4.15),
+               kdebase-workspace-dev(>= 4:4.3.4),
+               kdelibs5-dev (>= 4:4.3.4),
+               libx11-dev,
+               pkg-kde-tools (>= 0.6.4)
+Standards-Version: 3.9.3
+DM-Upload-Allowed: yes
 Homepage: http://www.kde-look.org/content/show.php?content=40492
 Vcs-Git: git://github.com/tehnick/kde-style-qtcurve-debian.git
 Vcs-Browser: https://github.com/tehnick/kde-style-qtcurve-debian
 
 Package: kde-style-qtcurve
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kwin-style-qtcurve
 Suggests: gtk2-engines-qtcurve
 Description: QtCurve widget style for KDE 4
@@ -26,7 +31,7 @@
 
 Package: kwin-style-qtcurve
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: kde-style-qtcurve
 Suggests: gtk2-engines-qtcurve
 Description: QtCurve window decoration for KWin
@@ -40,6 +45,7 @@
  package.
 
 Package: qtcurve-i18n
+Section: localization
 Architecture: all
 Depends: ${misc:Depends}
 Description: Translation files for QtCurve
@@ -50,10 +56,13 @@
  pleasing.
 
 Package: qtcurve
+Section: metapackages
 Architecture: any
-Depends: ${misc:Depends},
- kde-style-qtcurve, kwin-style-qtcurve,
- gtk2-engines-qtcurve, qtcurve-i18n
+Depends: gtk2-engines-qtcurve,
+         kde-style-qtcurve,
+         kwin-style-qtcurve,
+         qtcurve-i18n,
+         ${misc:Depends}
 Description: Unified window decoration for KDE and GTK+ (meta-package)
  This package installs all packages related with QtCurve:
   * kde-style-qtcurve
